"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.munge = void 0;
/**
 * Keywords in both Javascript and TypeScript
 */
var reservedKewords = new Set([
    "abstract",
    "any",
    "as",
    "async",
    "await",
    "boolean",
    "break",
    "case",
    "catch",
    "class",
    "const",
    "constructor",
    "continue",
    "debugger",
    "declare",
    "default",
    "delete",
    "do",
    "else",
    "enum",
    "export",
    "extends",
    "false",
    "finally",
    "for",
    "from",
    "function",
    "get",
    "if",
    "implements",
    "import",
    "in",
    "instanceof",
    "interface",
    "is",
    "let",
    "module",
    "namespace",
    "new",
    "null",
    "number",
    "of",
    "package",
    "private",
    "protected",
    "public",
    "require",
    "return",
    "set",
    "static",
    "string",
    "super",
    "switch",
    "symbol",
    "this",
    "throw",
    "true",
    "try",
    "type",
    "typeof",
    "var",
    "void",
    "while",
    "with",
    "yield",
]);
var isReservedKeyword = function (keyword) { return reservedKewords.has(keyword); };
var munge = function (name) {
    if (isReservedKeyword(name)) {
        return "_" + name;
    }
    return name;
};
exports.munge = munge;
//# sourceMappingURL=codegenHelpers.js.map